<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */

/*
Plugin Name: Tweet user-selected highlights to Twitter
Plugin URI: http://roohit.com
Description: Enable your users to directly tweet any part of your web-page to Twitter. Automatically creates a tinyURL to your page with their highlights. Keeps the context and credibility alive yet in 140 characters tweets your page.
Version: 3.0.0.1
Author: RoohIt Team
Author URI: http://roohit.com
*/

/* 
* +--------------------------------------------------------------------------+
* | Copyright (c) 2006 RoohIt                   (email : support@roohit.com) |
* +--------------------------------------------------------------------------+
* | This program is free software; you can redistribute it and/or modify     |
* | it under the terms of the GNU General Public License as published by     |
* | the Free Software Foundation; either version 2 of the License, or        |
* | (at your option) any later version.                                      |
* |                                                                          |
* | This program is distributed in the hope that it will be useful,          |
* | but WITHOUT ANY WARRANTY; without even the implied warranty of           |
* | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            |
* | GNU General Public License for more details.                             |
* |                                                                          |
* | You should have received a copy of the GNU General Public License        |
* | along with this program; if not, write to the Free Software              |
* | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA |
* +--------------------------------------------------------------------------+
*/

$TWTHL_SIG_CMNT_BGN = "<!-- Begin Tweet Highlights Plugin by RoohIt -->" ;
$TWTHL_SIG_CMNT_END = "<!-- End Tweet Highlights Plugin by RoohIt -->" ;

$tweetRooh_settings = array( array('offsetFromTop', ''), array('onRight', ''), array('buttonLook', '') );

$tweetRooh_buttonStyles = array(
                        '0' => array('img'=>'twit_00',		'width' => '49', 'height' => '277')
                      , '1' => array('img'=>'twit_01',		'width' => '74', 'height' => '277')
					  , '2' => array('img'=>'twit_02', 		'width' => '54', 'height' => '277')
                      , '3' => array('img'=>'twit_03', 		'width' => '39', 'height' => '277')
                      , '4' => array('img'=>'twit_04', 		'width' => '38', 'height' => '259')
                      , '5' => array('img'=>'twit_05', 		'width' => '41', 'height' => '229')
                      , '6' => array('img'=>'twit_06', 		'width' => '49', 'height' => '277')
                      , '7' => array('img'=>'twit_07', 		'width' => '33', 'height' => '277')
/*	
                      , '8' => array('img'=>'twit_08', 		'width' => '60', 'height' => '265')
                      , '09' => array('img'=>'twit_09', 	'width' => '60', 'height' => '265')
                      , '10' => array('img'=>'twit_10', 	'width' => '50', 'height' => '239')
                      , '11' => array('img'=>'twit_11', 	'width' => '60', 'height' => '265')

                      , '12' => array('img'=>'twit_12', 	'width' => '49', 'height' => '277')
                      , '13' => array('img'=>'twit_13', 	'width' => '49', 'height' => '277')
                      , '14' => array('img'=>'twit_14', 	'width' => '49', 'height' => '277')
                      , '15' => array('img'=>'twit_15', 	'width' => '49', 'height' => '277')
                      , '16' => array('img'=>'twit_16', 	'width' => '49', 'height' => '277')
                      , '17' => array('img'=>'twit_17', 	'width' => '49', 'height' => '277')
                      , '18' => array('img'=>'twit_18', 	'width' => '49', 'height' => '277')
                      , '19' => array('img'=>'twit_19', 	'width' => '49', 'height' => '277')
                      , '20' => array('img'=>'twit_20', 	'width' => '49', 'height' => '277')
                      , '21' => array('img'=>'twit_21', 	'width' => '49', 'height' => '277')

                      , '22' => array('img'=>'twit_22', 	'width' => '50', 'height' => '239')
                      , '23' => array('img'=>'twit_23', 	'width' => '50', 'height' => '239')
                      , '24' => array('img'=>'twit_24', 	'width' => '50', 'height' => '239')
                      , '25' => array('img'=>'twit_25', 	'width' => '50', 'height' => '239')
                      , '26' => array('img'=>'twit_26', 	'width' => '47', 'height' => '274')
                      , '27' => array('img'=>'twit_27', 	'width' => '47', 'height' => '274')
                      , '28' => array('img'=>'twit_28', 	'width' => '47', 'height' => '274')
                      , '29' => array('img'=>'twit_29', 	'width' => '47', 'height' => '274')
*/
                      /* Add your own style here, like this:
                        , 'custom' => array('img'=>'http://example.com/button.gif', 'width' => '36', 'height' => '200') */
                    );


function tweetRooh_init()
{
	global $tweetRooh_offsetFromTop;
    global $tweetRooh_onRight;
    global $tweetRooh_buttonLook;

	add_action( 'get_footer', 'tweetRooh' );

	//register_sidebar_widget(__('Tweet Highlights'), 'widget_tweetRooh');
  
	// Add the user defined settings
//    add_option('tweetRooh_buttonLook');
//    add_option('tweetRooh_offsetFromTop');

	if (!isset($tweetRooh_buttonLook)) $tweetRooh_buttonLook = get_option('tweetRooh_buttonLook');
	if (strlen($tweetRooh_buttonLook) == 0) $tweetRooh_buttonLook = '3' ;
	$tweetRooh_settings['buttonLook'] = $tweetRooh_buttonLook;

	if (!isset($tweetRooh_offsetFromTop)) $tweetRooh_offsetFromTop = get_option('tweetRooh_offsetFromTop');
	if (strlen($tweetRooh_offsetFromTop) == 0) $tweetRooh_offsetFromTop = '150' ;
	$tweetRooh_settings['offsetFromTop'] = $tweetRooh_offsetFromTop;

    if (!isset($tweetRooh_onRight)) $tweetRooh_onRight = get_option('tweetRooh_onRight');
    if (strlen($tweetRooh_onRight) == 0) $tweetRooh_onRight = '0';
    $tweetRooh_settings['onRight'] = $tweetRooh_onRight;
}

function tweetRooh()
{
  global $TWTHL_SIG_CMNT_BGN ;
  global $TWTHL_SIG_CMNT_END ;

  global $tweetRooh_offsetFromTop;
  global $tweetRooh_onRight;
  global $tweetRooh_buttonLook;
  global $tweetRooh_buttonStyles ;

  echo $TWTHL_SIG_CMNT_BGN ;
  echo '<style>' ;
	require_once ('roohit_wpv.css') ;
  echo '</style>' ;
  
  if ($tweetRooh_onRight == '0') $whichClass = "<div class='followus_l'> " ;
  else                           $whichClass = "<div class='followus_r'> " ;
  
  echo $whichClass, "
		<div class='followme' onclick=\"location.href='http://roohit.com/'+location.href\"></div>
	</div>
  ";
  echo $TWTHL_SIG_CMNT_END ;
}

/*
function widget_tweetRooh($args) {
  //extract($args);
  //echo $before_widget;
  //echo $before_title . 'Tweet Highlights' . $after_title;
  tweetRooh();
  //echo $after_widget;
}
*/

add_action("plugins_loaded", "tweetRooh_init");
add_action("admin_menu", "tweetRooh_admin_menu");

function tweetRooh_admin_menu() {
  add_options_page("Tweet Highlights Options", "Tweet Highlights", 8, "__FILE__", "tweetRooh_options");
}

function tweetRooh_options() {
    global $tweetRooh_offsetFromTop;
    global $tweetRooh_onRight;
    global $tweetRooh_buttonLook;
	global $tweetRooh_buttonStyles ;
?>
    <div class="wrap">
    <h2>Rooh.It: directly send your Highlights to Twitter</h2>

    <div align="center" id="message" class="error"><p><a href="mailto:support@roohit.com?subject=WordPress: Tweet Highlights Plugin Feedback">Tell us</a> what you think of this plugin <b>please</b></p></div>

    <form method="post" action="options.php">
    <?php wp_nonce_field('update-options'); ?>

    <center><input type="submit" name="Submit" value="<?php _e('Save Changes') ?>" /></center>
    <h3>Button Options</h3>
    <table class="form-table">
        <tr valign="top">
            <th scope="row"><?php _e("Show on which Side", 'tweetRooh_trans_domain' ); ?></th>
            <td>            
            	<input type="radio" name="tweetRooh_onRight" value='0' id="tweetRooh_onRight_0" <?php if ($tweetRooh_onRight == '0') echo 'checked=\"checked\"' ?> /> <?php _e("Left", 'tweetRooh_trans_domain' ); ?>
            	<input type="radio" name="tweetRooh_onRight" value='1' id="tweetRooh_onRight_1" <?php if ($tweetRooh_onRight == '1') echo 'checked=\"checked\"' ?> /> <?php _e("Right (recommended)", 'tweetRooh_trans_domain' ); ?>
            </td>
        </tr>
        <tr valign="top">
            <th scope="row"><?php _e("Offset from top of Page", 'tweetRooh_trans_domain' ); ?></th>
            <td>
            	<input type="text" name="tweetRooh_offsetFromTop" size="3" maxlength="3" value="<?=$tweetRooh_offsetFromTop?>" />px
            </td>
		</tr>
        <tr valign="top">
            <th scope="row"><?php _e("Pick Button Style:<br>(Pls check back soon for more buttons or <a href=\"http://roohit.com/forum/viewforum.php?f=7\">submit your ideas</a>", 'roohit_trans_domain' ); ?></th>
            <td>
                <table><tbody>
                    <?php
						$numStyles = sizeof($tweetRooh_buttonStyles) ;
                        for ($i=0; $i < $numStyles; )
                        {
                            echo "<tr>";
                            for ($j=0; $j < 8; $j++)
                            {
                                if ($i > $numStyles)
                                    break ;
								echo "<td align=\"top\" onClick=\"document.getElementById('tweetRooh_buttonLook_$i').checked=true;\"> <input type=\"radio\" name=\"tweetRooh_buttonLook\" value=\"$i\" id=\"tweetRooh_buttonLook_$i\"". ($i == $tweetRooh_buttonLook ? "checked=\"checked\"" : "") . "/> " . "<img src=\"http://roohit.com/images/btns/v/" . $tweetRooh_buttonStyles[$i]['img'] . ".png\" border=\"0\" alt=\"Use this button on your page\" style=\"border:none;\"  align=\"top\" onMouseOver=\"javascript:document.getElementById('tweetRooh_buttonLook_$i').src='http://roohit.com/images/btns/v/" . $tweetRooh_buttonStyles[$i]['img'] . "_hover.png';\" /></td>" ;
                                $i++ ;
                            }
							//echo "i=$i, j=$j" ;
                            echo "</tr>" ;
                        }
					?>
                </tbody></table>
            </td>
        </tr>
    </table>

    <input type="hidden" name="action" value="update" />
    <input type="hidden" name="page_options" value="tweetRooh_offsetFromTop, tweetRooh_onRight, tweetRooh_options, tweetRooh_buttonLook"/>

    <p class="submit">
    <input type="submit" name="Submit" value="<?php _e('Save Changes') ?>" />
    </p>

    </form>

    <h2>Like this plugin?</h2>
    <!-- <p>Why not do any of the following:</p> -->
    <ol>
        <li>&nbsp;&nbsp;&nbsp;&nbsp;&bull; <strong>Write a blog</strong> posting <a href="http://roohit.com/site/blogThis.php">about it</a>, and link to it so other folks can find out about it.</li>
        <li>&nbsp;&nbsp;&nbsp;&nbsp;&bull; Please <a href="http://wordpress.org/extend/plugins/tweet-highlights/"><strong>give it a good rating</strong></a> on WordPress.org, so others will find it easily!</li>
        <li>&nbsp;&nbsp;&nbsp;&nbsp;&bull; <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=7137089">Donate</a> a token of your appreciation.</li>
    </ol>

    <h2>Need support?</h2>
    <p>If you have any problems or good ideas, please talk about them in the <a href="http://wordpress.org/tags/tweet-highlights">Support forums</a>.</p>
    
    <h2>About</h2>
    <p><em>Rooh</em> means <em>soul</em>. When you Rooh It you get to the soul of the page, as you individually determine it. </p>
    <p>The no-signup, no-download, highlighter was conceived and created by Rohit Chandra and has been maintained by <a href="http://roohit.com/">RoohIt</a> since the very beginning.</p>

    </div>

<?php
}

// Description: Enables visitors to <strong>highlight</strong>, share, save, and <strong>promote your website on Twitter, Facebook, LinkedIn, and all their social networks, blogs and friends</strong>. All highlights made on your page are automatically posted to all of our <a href='http://roohit.com/site/urWidget.php'>MicroBloggers'</a> blogs and Social Networks pages - instantly generating LOTS and LOTS of links back to your posting. It's all Free, and no-one ever needs to "join" any site; nor download anything!
?>
